- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_put_image_request_t Struct Reference
[XCB API]

xcb_put_image_request_t More...

`#include <xproto.h>`

## Data Fields
uint8_t | major_opcode
uint8_t | format
uint16_t | length
xcb_drawable_t | drawable
xcb_gcontext_t | gc
uint16_t | width
uint16_t | height
int16_t | dst_x
int16_t | dst_y
uint8_t | left_pad
uint8_t | depth

## Detailed Description

xcb_put_image_request_t

## Field Documentation

uint8_t xcb_put_image_request_t::major_opcode

uint8_t xcb_put_image_request_t::format

uint16_t xcb_put_image_request_t::length

xcb_drawable_t xcb_put_image_request_t::drawable

xcb_gcontext_t xcb_put_image_request_t::gc

uint16_t xcb_put_image_request_t::width

uint16_t xcb_put_image_request_t::height

int16_t xcb_put_image_request_t::dst_x

int16_t xcb_put_image_request_t::dst_y

uint8_t xcb_put_image_request_t::left_pad

uint8_t xcb_put_image_request_t::depth

The documentation for this struct was generated from the following file:

- xproto.h